/// Evolver Copyright 2000, Morgan McGuire
/// matrix@alum.mit.edu   http://graphics3d.com/matrix
public class Hysteresis extends ZeroArgumentOperator implements ELOperator 
{
  public void apply(ELMatrix argument[], ELMatrix out, ELEnvironment environment)
  {
      environment.getPreviousFrame(out);
  }

  public String name()
  {
    return "Hysteresis";
  }

  public String description()
  {
    return "Returns the previous frame of animation produced.";
  }  

  public boolean hasExternalInfluences() {
    return true;
  }
}

